//---------------------------------------------------------------------------
#ifndef App_SettingsHandlerH
#define App_SettingsHandlerH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include "App_Handler.h"
//---------------------------------------------------------------------------
namespace App_settingshandler {
//---------------------------------------------------------------------------
class TSettingsHandler : public THandler
{
private:
	static const AnsiString SettingsPath;
	TList* FHandlers;
	void __fastcall Initialize();
	void __fastcall Uninitialize();
protected:
public:
	__fastcall TSettingsHandler();
	virtual __fastcall ~TSettingsHandler();
	virtual void __fastcall Load();
	virtual bool __fastcall CanLoad();
	virtual void __fastcall Save();
	virtual bool __fastcall CanSave();
	virtual void __fastcall LoadSettings(TMemIniFile* AFile);
	virtual void __fastcall SaveSettings(TMemIniFile* AFile);
	__property TList* Handlers = {read=FHandlers};
};
//---------------------------------------------------------------------------
} // namespace App_settingshandler
using namespace App_settingshandler;
//---------------------------------------------------------------------------
#endif

