//---------------------------------------------------------------------------
#ifndef App_AddNewDialogH
#define App_AddNewDialogH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include "App_DiskImages.h"
//---------------------------------------------------------------------------
class TAppAddNewDialog : public TForm
{
__published:
	TButton* CancelButton;
	TButton* OkButton;
	TButton* PresetsButton;
	TComboBox* ComboBox11;
	TEdit* Edit21;
	TEdit* Edit22;
	TEdit* Edit23;
	TEdit* Edit24;
	TLabel* Label11;
	TLabel* Label21;
	TLabel* Label22;
	TLabel* Label23;
	TLabel* Label24;
	void __fastcall FormCloseQuery(TObject* ASender, bool& ACanClose);
	void __fastcall PresetsButtonClick(TObject* ASender);
	void __fastcall ComboBox11Exit(TObject* ASender);
	void __fastcall Edit21Exit(TObject* ASender);
	void __fastcall Edit22Exit(TObject* ASender);
	void __fastcall Edit23Exit(TObject* ASender);
	void __fastcall Edit24Exit(TObject* ASender);
private:
	TDiskImageSpec FValues;
	void __fastcall Initialize();
	void __fastcall Uninitialize();
	void __fastcall HandleInvalidInput(const AnsiString& AMessage, TWinControl* AControl);
	TDiskImageSpec __fastcall GetInputs();
	void __fastcall SetInputs(const TDiskImageSpec& AInputs);
	int __fastcall GetInputInComboBox11();
	void __fastcall SetInputInComboBox11(int AInput);
	int __fastcall GetInputInEdit21();
	void __fastcall SetInputInEdit21(int AInput);
	int __fastcall GetInputInEdit22();
	void __fastcall SetInputInEdit22(int AInput);
	int __fastcall GetInputInEdit23();
	void __fastcall SetInputInEdit23(int AInput);
	int __fastcall GetInputInEdit24();
	void __fastcall SetInputInEdit24(int AInput);
	__property TDiskImageSpec Inputs = {read=GetInputs, write=SetInputs};
	__property int InputInComboBox11 = {read=GetInputInComboBox11, write=SetInputInComboBox11};
	__property int InputInEdit21 = {read=GetInputInEdit21, write=SetInputInEdit21};
	__property int InputInEdit22 = {read=GetInputInEdit22, write=SetInputInEdit22};
	__property int InputInEdit23 = {read=GetInputInEdit23, write=SetInputInEdit23};
	__property int InputInEdit24 = {read=GetInputInEdit24, write=SetInputInEdit24};
protected:
	DYNAMIC void __fastcall DoShow();
	DYNAMIC void __fastcall DoHide();
public:
	static void __fastcall EnsureCreated();
	__fastcall TAppAddNewDialog(TComponent* AOwner);
	virtual __fastcall ~TAppAddNewDialog();
	virtual bool __fastcall Execute();
	__property TDiskImageSpec Values = {read=FValues, write=FValues};
};
//---------------------------------------------------------------------------
extern PACKAGE TAppAddNewDialog* AppAddNewDialog;
//---------------------------------------------------------------------------
#endif

