//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "App_EnterDialog.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TAppEnterDialog* AppEnterDialog = NULL;
//---------------------------------------------------------------------------
void __fastcall TAppEnterDialog::DoShow()
{
	SelectFirst();
}
//---------------------------------------------------------------------------
void __fastcall TAppEnterDialog::DoHide()
{
	ActiveControl= NULL;
}
//---------------------------------------------------------------------------
void __fastcall TAppEnterDialog::EnsureCreated()
{
	if(AppEnterDialog != NULL) {
		return;
	}
	AppEnterDialog = new TAppEnterDialog(Application);
}
//---------------------------------------------------------------------------
__fastcall TAppEnterDialog::TAppEnterDialog(TComponent* AOwner) :
	TForm(AOwner)
{
	// Do nothing
}
//---------------------------------------------------------------------------
__fastcall TAppEnterDialog::~TAppEnterDialog()
{
	// Do nothing
}
//---------------------------------------------------------------------------
bool __fastcall TAppEnterDialog::Execute(const AnsiString& ACaption, const AnsiString& AMessage, AnsiString& AValue)
{
	Caption = ACaption;
	MessageLabel->Caption = AMessage;
	ValueEdit->Text = AValue;
	if(ShowModal() != OkButton->ModalResult) {
		return false;
	}
	AValue = ValueEdit->Text;
	return true;
}
//---------------------------------------------------------------------------

