//---------------------------------------------------------------------------
#ifndef App_HelpHandlerH
#define App_HelpHandlerH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include "App_Handler.h"
//---------------------------------------------------------------------------
namespace App_helphandler {
//---------------------------------------------------------------------------
class THelpHandler : public THandler
{
private:
	static const AnsiString HelpPath;
	static const AnsiString About;
protected:
public:
	__fastcall THelpHandler();
	virtual __fastcall ~THelpHandler();
	virtual void __fastcall ShowContents();
	virtual bool __fastcall CanShowContents();
	virtual void __fastcall ShowAbout();
	virtual bool __fastcall CanShowAbout();
	virtual void __fastcall LoadSettings(TMemIniFile* AFile);
	virtual void __fastcall SaveSettings(TMemIniFile* AFile);
};
//---------------------------------------------------------------------------
} // End namespace App_helphandler
using namespace App_helphandler;
//---------------------------------------------------------------------------
#endif

