//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "App_SystemHandler.h"
#include "Moa_Strings.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
//---------------------------------------------------------------------------
namespace App_systemhandler {
//---------------------------------------------------------------------------
const AnsiString TSystemHandler::SettingsSection = "SystemHandler";
//---------------------------------------------------------------------------
__fastcall TSystemHandler::TSystemHandler() :
	THandler()
{
	// Do nothing
}
//---------------------------------------------------------------------------
__fastcall TSystemHandler::~TSystemHandler()
{
	// Do nothing
}
//---------------------------------------------------------------------------
void __fastcall TSystemHandler::LoadSettings(TMemIniFile* AFile)
{
	BeginChange();
	try {
		SetCurrentDir(TAnsiStringUtilities::Dequote(AFile->ReadString(
			SettingsSection,
			"CurrentDirectory",
			TAnsiStringUtilities::Quote(GetCurrentDir()))));
	}
	catch(...) {
		EndChange();
		throw;
	}
	EndChange();
}
//---------------------------------------------------------------------------
void __fastcall TSystemHandler::SaveSettings(TMemIniFile* AFile)
{
	BeginChange();
	try {
		AFile->WriteString(
			SettingsSection,
			"CurrentDirectory",
			TAnsiStringUtilities::Quote(GetCurrentDir()));
	}
	catch(...) {
		EndChange();
		throw;
	}
	EndChange();
}
//---------------------------------------------------------------------------
} // End namespace App_systemhandler
//---------------------------------------------------------------------------

